# OpalRTPMediaSession Class Reference

`#include <rtpconn.h>`

Inheritance diagram for OpalRTPMediaSession:

[legend]
Collaboration diagram for OpalRTPMediaSession:
[legend]

## Public Member Functions

| OpalRTPMediaSession (OpalConnection &conn, const OpalMediaType &mediaType, unsigned sessionId)
| OpalRTPMediaSession (const OpalRTPMediaSession &obj)
| ~OpalRTPMediaSession ()
PObject * | Clone () const
void | Attach (RTP_Session *rtpSession)
virtual void | Close ()
virtual bool | IsActive () const
virtual bool | IsRTP () const
virtual bool | HasFailed () const
virtual OpalTransportAddress | GetLocalMediaAddress () const
virtual SDPMediaDescription * | CreateSDPMediaDescription (const OpalTransportAddress &localAddress)
virtual OpalMediaStream * | CreateMediaStream (const OpalMediaFormat &mediaFormat, unsigned sessionID, PBoolean isSource)
RTP_Session * | GetSession () const

## Protected Attributes

RTP_Session * | rtpSession

## Detailed Description

Class for carrying RTP session information

## Constructor & Destructor Documentation

OpalRTPMediaSession::OpalRTPMediaSession | ( | OpalConnection & | conn,
|  | const OpalMediaType & | mediaType,
|  | unsigned | sessionId |
| ) |  |  |

OpalRTPMediaSession::OpalRTPMediaSession | ( | const OpalRTPMediaSession & | obj | ) |

OpalRTPMediaSession::~OpalRTPMediaSession | ( |  | ) |

## Member Function Documentation

void OpalRTPMediaSession::Attach | ( | RTP_Session * | rtpSession | ) |

PObject* OpalRTPMediaSession::Clone | ( |  | ) | const`[inline, virtual]`

Implements OpalMediaSession.

virtual void OpalRTPMediaSession::Close | ( |  | ) | `[virtual]`

Implements OpalMediaSession.

virtual OpalMediaStream* OpalRTPMediaSession::CreateMediaStream | ( | const OpalMediaFormat & | mediaFormat,
|  | unsigned | sessionID,
|  | PBoolean | isSource |
| ) |  |  | `[virtual]`

Implements OpalMediaSession.

virtual SDPMediaDescription* OpalRTPMediaSession::CreateSDPMediaDescription | ( | const OpalTransportAddress & | localAddress | ) | `[virtual]`

Implements OpalMediaSession.

virtual OpalTransportAddress OpalRTPMediaSession::GetLocalMediaAddress | ( |  | ) | const`[virtual]`

Implements OpalMediaSession.

RTP_Session* OpalRTPMediaSession::GetSession | ( |  | ) | const`[inline]`

virtual bool OpalRTPMediaSession::HasFailed | ( |  | ) | const`[inline, virtual]`

Implements OpalMediaSession.

virtual bool OpalRTPMediaSession::IsActive | ( |  | ) | const`[inline, virtual]`

Implements OpalMediaSession.

virtual bool OpalRTPMediaSession::IsRTP | ( |  | ) | const`[inline, virtual]`

Implements OpalMediaSession.

## Field Documentation

RTP_Session* OpalRTPMediaSession::rtpSession `[protected]`

The documentation for this class was generated from the following file:

- rtpconn.h